Bug 236033 - sysutils/consul-replicate: Unbreak build with Go 1.12
Summary: sysutils/consul-replicate: Unbreak build with Go 1.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-25 16:44 UTC by Dmitri Goutnik
Modified: 2019-04-01 20:10 UTC (History)
1 user (show)

See Also:
jhixson: maintainer-feedback+


Attachments
patch file (633 bytes, patch)
2019-02-25 16:44 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-02-25 16:44:32 UTC
Created attachment 202359 [details]
patch file

- Remove GOCACHE=off as build cache is required starting from Go 1.12 [1]
- Pass MAKE_ENV (so GOCACHE defaults to $WRKDIR/.cache)

QA:
  poudriere testport: OK (112a, 112i, 120a)

[1] https://tip.golang.org/doc/go1.12#gocache
Comment 1 John Hixson freebsd_committer 2019-02-27 19:57:27 UTC
LGTM
Comment 2 commit-hook freebsd_committer 2019-04-01 20:09:40 UTC
A commit references this bug:

Author: tobik
Date: Mon Apr  1 20:09:04 UTC 2019
New revision: 497513
URL: https://svnweb.freebsd.org/changeset/ports/497513

Log:
  sysutils/consul-replicate: Unbreak build with Go 1.12

  - Remove GOCACHE=off as build cache is required starting from Go 1.12 [1]
  - Pass MAKE_ENV (so GOCACHE defaults to $WRKDIR/.cache)

  [1] https://tip.golang.org/doc/go1.12#gocache

  PR:		236033
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	jhixson (maintainer)

Changes:
  head/sysutils/consul-replicate/Makefile
Comment 3 commit-hook freebsd_committer 2019-04-01 20:10:43 UTC
A commit references this bug:

Author: tobik
Date: Mon Apr  1 20:09:48 UTC 2019
New revision: 497514
URL: https://svnweb.freebsd.org/changeset/ports/497514

Log:
  MFH: r497513

  sysutils/consul-replicate: Unbreak build with Go 1.12

  - Remove GOCACHE=off as build cache is required starting from Go 1.12 [1]
  - Pass MAKE_ENV (so GOCACHE defaults to $WRKDIR/.cache)

  [1] https://tip.golang.org/doc/go1.12#gocache

  PR:		236033
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	jhixson (maintainer)

  Approved by:	ports-secteam build fix blanket

Changes:
_U  branches/2019Q2/
  branches/2019Q2/sysutils/consul-replicate/Makefile